Subject: Re: bug#15658: 24.1; (wishlist) Easy way to make a file-local variable also permanent-local

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 11 May 2022 13:47:52 +0200

yary <[email-masked]> writes:

> I was working on this about 5 years ago, before 24.1, and the use case
> I had for this doesn't apply to my current situation. So it might
> already work as I wanted it, and my wants have changed! OK to close
> this.

Phil Sainty <[email-masked]> writes:

> This changed in `normal-mode' in 26.1 for bug #23460, so I'd expect
> testing to have been different in 25.1.
>
> The relevant NEWS entry is:
>
> ** File local and directory local variables are now initialized each
> time the major mode is set, not just when the file is first visited.
> These local variables will thus not vanish on setting a major mode.

Thanks; there doesn't seem to be anything more to do here, then, and I'm
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no